package cokr.xit.ens.modules.common.code;

import cokr.xit.ens.core.code.CodeMapperType;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
public enum PostSeCd implements CodeMapperType {
	
	testMblPage("모바일페이지 테스트")	
	,intgrnNoti("통합 전자고지")
	,kkoMydoc("카카오페이 내문서함(인증톡)")
	,kkoAlimtalk("카카오페이 알림톡")
	,nvSigntalk("네이버 고지서(인증톡)")
	,ktSigntalk("KT 인증톡")
	,ktGibis("KT 인증톡(지비스)");

	
	@Getter
	private final String codeNm;
	
	@Override
	public String getCode() {
		return this.name();
	}

}
